package com.chinaitop.depot.intelligent.basicdata.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2018-12-17 14:20
 */
@Repository
public interface WareHouseBasicInfoMapper {

    List<Map<String,Object>> getStorehouseInfo(Map<String, Object> map);

    /**
     * 同步数据递增字段获取Max值
     * @param map
     * @return map
     */
    Map<String,Object> getColumn1Max(Map map);

    String getEnum(@Param("code") String code);

    String getKeeperName(Map map);
}
